<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

class TabPatientTable extends Table
{

    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('tabPatient');
        $this->setDisplayField('name');
        $this->setPrimaryKey('name');

        $this->addBehavior('Timestamp');

        $this->belongsTo('TabUser', [
            'foreignKey' => 'user_id'
        ]);
       
    }

  
}
